*************************
** This program coordinates the placebo analsysis, which we present in the online appendix
*************************



**** Strategy

** Step 0: For each state

** Step 1: consruct abadie weights

** Step 2: run weigted regressions

** Step 3: Store estimates

******************************************************************************

*******************************************************************************
****** Create list of states
*******************************************************************************


clear all

set mem 1g

set more off


*** for each state in statelist 

use Data\Compiled\datasnl-final.dta


encode state, gen(stateid)

gen statenr=stateid

sort statenr

merge m:1 statenr using Data\Compiled\abadieweights.dta

replace wallall2=1/35 if state=="MA"

drop if wallall2==.

keep if year==2004

keep state

save Data\Compiled\statelist.dta, replace

levelsof state, local(states) 



clear



global statecounter=0


foreach statel of local states {

global state="`statel'" 

global statecounter=$statecounter+1

*** Step 1:

quietly do placebo_weights


*** Step 2/ Step 3:

quietly do placebo_welfare.do


}

macro drop statecounter

macro drop state


*** timeseires

clear all

foreach x of numlist 1/35 {

use Data\Compiled\enrtimeseries`x'

gen count=_n

keep if count==1

keep enrtimeseries*

rename enrtimeseries`x'1 enrtimeseries1 
rename enrtimeseries`x'2 enrtimeseries2 
rename enrtimeseries`x'3 enrtimeseries3 
rename enrtimeseries`x'4 enrtimeseries4 
rename enrtimeseries`x'5 enrtimeseries5 
rename enrtimeseries`x'6 enrtimeseries6 
rename enrtimeseries`x'7 enrtimeseries7

save Data\Compiled\enrtimeseries`x', replace

clear

}
use Data\Compiled\enrtimeseries1.dta

foreach x of numlist 2/35 {

append using Data\Compiled\enrtimeseries`x'

}
save Data\Compiled\enrtimeseriesall.dta, replace

clear

***ac

foreach x of numlist 1/35 {

use Data\Compiled\actimeseries`x'

gen count=_n

keep if count==1

keep actimeseries*

rename actimeseries`x'1 actimeseries1 
rename actimeseries`x'2 actimeseries2 
rename actimeseries`x'3 actimeseries3 
rename actimeseries`x'4 actimeseries4 
rename actimeseries`x'5 actimeseries5 
rename actimeseries`x'6 actimeseries6 
rename actimeseries`x'7 actimeseries7

save Data\Compiled\actimeseries`x', replace

clear

}
use Data\Compiled\actimeseries1.dta

foreach x of numlist 2/35 {

append using Data\Compiled\actimeseries`x'

}
save Data\Compiled\actimeseriesall.dta, replace

clear

****prem

foreach x of numlist 1/35 {

use Data\Compiled\premtimeseries`x'

gen count=_n

keep if count==1

keep premtimeseries*

rename premtimeseries`x'1 premtimeseries1 
rename premtimeseries`x'2 premtimeseries2 
rename premtimeseries`x'3 premtimeseries3 
rename premtimeseries`x'4 premtimeseries4 
rename premtimeseries`x'5 premtimeseries5 
rename premtimeseries`x'6 premtimeseries6 
rename premtimeseries`x'7 premtimeseries7

save Data\Compiled\premtimeseries`x', replace

clear

}
use Data\Compiled\premtimeseries1.dta

foreach x of numlist 2/35 {

append using Data\Compiled\premtimeseries`x'

}
save Data\Compiled\premtimeseriesall.dta, replace

clear



**** rotate objects and add state name

use Data\Compiled\statelist.dta

sort state 

gen count =_n

sort count

save Data\Compiled\statelist.dta, replace

clear

*** timeseries

use Data\Compiled\enrtimeseriesall.dta

gen enrnorm=enrtimeseries1

foreach x of numlist 1/7{

replace enrtimeseries`x'=enrtimeseries`x'-enrnorm

}
gen count=_n

sort count

merge count using Data\Compiled\statelist.dta

drop _merge count enrnorm

order state 

save Data\Compiled\enrtimeseriesall.dta, replace

clear

use Data\Compiled\actimeseriesall.dta

gen acnorm=actimeseries1

foreach x of numlist 1/7{

replace actimeseries`x'=actimeseries`x'-acnorm

}
gen count=_n

sort count

merge count using Data\Compiled\statelist.dta

drop _merge count acnorm

order state 

save Data\Compiled\actimeseriesall.dta, replace

clear

use Data\Compiled\premtimeseriesall.dta

gen premnorm=premtimeseries1

foreach x of numlist 1/7{

replace premtimeseries`x'=premtimeseries`x'-premnorm

}
gen count=_n

sort count

merge count using Data\Compiled\statelist.dta

drop _merge count premnorm

order state 

save Data\Compiled\premtimeseriesall.dta, replace



***********************************************
** Graphs
***********************************************

clear

use Data\Compiled\actimeseriesall.dta

sort state

merge using Data\Compiled\premtimeseriesall.dta

drop _merge

sort state

merge using Data\Compiled\enrtimeseriesall.dta

drop _merge

quietly sum actimeseries3 if state=="MA"

local mspe_ac_norm=r(mean)

quietly sum premtimeseries3 if state=="MA"

local mspe_prem_norm=r(mean)

quietly sum enrtimeseries3 if state=="MA"

local mspe_cov_norm=r(mean)

gen mspe_all06=((actimeseries3)^2/(`mspe_ac_norm')^2+(premtimeseries3)^2/(`mspe_prem_norm')^2+(enrtimeseries3)^2/(`mspe_cov_norm')^2)/3

gen mspe_all08=((actimeseries5)^2/(`mspe_ac_norm')^2+(premtimeseries5)^2/(`mspe_prem_norm')^2+(enrtimeseries5)^2/(`mspe_cov_norm')^2)/3



******
** Relevant Placebo time series:
******



quietly browse state actimeseries* mspe_all06 if mspe_all06<=2

quietly browse state premtimeseries* mspe_all06 if mspe_all06<=2

quietly browse state enrtimeseries* mspe_all06 if mspe_all06<=2


***** MSPE Ratios

gen ratio=abs(mspe_all08/mspe_all06)




*** second check (states with highest abadie weights)


quietly browse state enrtimeseries* if state=="MA" | state=="ME" | state=="ND" | state=="VT" 

quietly browse state premtimeseries* if state=="MA" | state=="ME" | state=="ND" | state=="VT" 

quietly browse state actimeseries* if state=="MA" | state=="ME" | state=="ND" | state=="VT" 
